Skip to main content
GET
/
app.rocksky.album.getAlbums
Get albums
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.album.getAlbums \
  --header 'Authorization: Bearer <token>'
{
  "albums": [
    {
      "id": "<string>",
      "uri": "<string>",
      "title": "<string>",
      "artist": "<string>",
      "artistUri": "<string>",
      "year": 123,
      "albumArt": "<string>",
      "releaseDate": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The maximum number of albums to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
genre
string

The genre to filter artists by

Response

OK

albums
object[]